log4shib 2.0.0

Public Member Functions | List of all members
log4shib::BasicLayout Class Reference

BasicLayout is a simple fixed format Layout implementation. More...

`#include <BasicLayout.hh>`

Inheritance diagram for log4shib::BasicLayout:
[legend]
Collaboration diagram for log4shib::BasicLayout:
[legend]

## Public Member Functions
| BasicLayout ()
virtual | ~BasicLayout ()
virtual std::string | format (const LoggingEvent &event)
| Formats the LoggingEvent in BasicLayout style: "timeStamp priority category ndc: message". More...
Public Member Functions inherited from log4shib::Layout
virtual | ~Layout ()
| Destructor for Layout. More...
virtual std::string | format (const LoggingEvent &event)=0
| Formats the LoggingEvent data to a string that appenders can log. More...

## Detailed Description

BasicLayout is a simple fixed format Layout implementation.

## Constructor & Destructor Documentation

## ◆ BasicLayout()

log4shib::BasicLayout::BasicLayout | ( |  | ) |

## ◆ ~BasicLayout()

log4shib::BasicLayout::~BasicLayout | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ format()

std::string log4shib::BasicLayout::format | ( | const LoggingEvent & | event | ) |
| virtual

Formats the LoggingEvent in BasicLayout style:
"timeStamp priority category ndc: message".

Implements log4shib::Layout.

The documentation for this class was generated from the following files:

- BasicLayout.hh
- BasicLayout.cpp